#include <seafire/routing/route-parameters.hxx>

namespace seafire::routing
{

  std::map<std::string, std::string>&
  route_parameters_t::
  map()
  {
    return kv_;
  }

  std::map<std::string, std::string> const&
  route_parameters_t::
  map() const
  {
    return kv_;
  }

  std::optional<std::string>
  route_parameters_t::
  get(std::string const& key) const
  {
    if (auto it = map().find(key); it != map().end())
      return it->second;

    return std::nullopt;
  }

} // namespace seafire::routing
