#ifndef seafire__routing__match_path_hxx_
#define seafire__routing__match_path_hxx_

#include <seafire/routing/route-parameters.hxx>

#include <code/uri/uri.hxx>

#include <string>

namespace seafire::routing
{

  bool
  match_path(std::string const&,
             std::string const&,
             route_parameters_t&);

  std::string
  render_path(std::string const&,
              route_parameters_t&);

} // namespace seafire::routing

#endif
