#ifndef seafire__routing__route_parameters_hxx_
#define seafire__routing__route_parameters_hxx_

#include <map>
#include <optional>
#include <string>

namespace seafire::routing
{

  class route_parameters_t
  {
  public:
    std::map<std::string, std::string>&
    map();

    std::map<std::string, std::string> const&
    map() const;

    std::optional<std::string>
    get(std::string const& key) const;

  private:
    std::map<std::string, std::string> kv_;

  };

} // namespace seafire::routing

#endif
